package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.CardNoJsonSeralizer;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;
import com.gic.web.common.jsonSeralizer.UserNameJsonSeralizer;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanGroupChatUser
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:42:52
 * @Modify
 * @CopyRight 
 */
public class GroupChatUserExcelVO implements Serializable {

	private static final long serialVersionUID = 21771431486600L;

	/**
	 * 1企业成员2外部联系人3客户
	 */
	private String userTypeExcel;
	/**
	 * 姓名
	 */
	private String userName;
	/**
	 * 昵称
	 */
	private String nickName;

	private String sceneExcel;
	private String addTimeExcel;
	private String memberId ;
	private String memberNick ;
	@JsonSerialize(using = UserNameJsonSeralizer.class)
	private String memberName ;
	@JsonSerialize(using = PhoneNumberJsonSeralizer.class)
	private String memberPhone ;
	@JsonSerialize(using = CardNoJsonSeralizer.class)
	private String memberCard;

	/**
	 * 1：非会员 2：会员已注销 3：正常
	 */
	private Integer memberScene;

	public Integer getMemberScene() {
		return memberScene;
	}

	public void setMemberScene(Integer memberScene) {
		this.memberScene = memberScene;
	}

	public String getMemberId() {
		return memberId;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public String getMemberNick() {
		return memberNick;
	}

	public void setMemberNick(String memberNick) {
		this.memberNick = memberNick;
	}

	public String getMemberName() {
		return memberName;
	}

	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}

	public String getMemberPhone() {
		return memberPhone;
	}

	public void setMemberPhone(String memberPhone) {
		this.memberPhone = memberPhone;
	}

	public String getMemberCard() {
		return memberCard;
	}

	public void setMemberCard(String memberCard) {
		this.memberCard = memberCard;
	}

	public String getUserTypeExcel() {
		return userTypeExcel;
	}

	public void setUserTypeExcel(String userTypeExcel) {
		this.userTypeExcel = userTypeExcel;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getNickName() {
		return nickName;
	}

	public void setNickName(String nickName) {
		this.nickName = nickName;
	}

	public String getSceneExcel() {
		return sceneExcel;
	}

	public void setSceneExcel(String sceneExcel) {
		this.sceneExcel = sceneExcel;
	}

	public String getAddTimeExcel() {
		return addTimeExcel;
	}

	public void setAddTimeExcel(String addTimeExcel) {
		this.addTimeExcel = addTimeExcel;
	}
}